# Class DensogramPlotter.DensoStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.DensogramPlotter.DensoStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `DensogramPlotter`

public static class DensogramPlotter.DensoStyle extends Object implements Style
Plotting style for this class.

Since:
  20 Feb 2015
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`DensoStyle(Color baseColor, Shader shader, Scaling scaling, Subrange dataclip, boolean isY, Kernel1dShape kernelShape, Combiner combiner, BinSizer sizer, Cumulation cumul, int extent, double position)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DensoStyle

public DensoStyle(Color baseColor, Shader shader, Scaling scaling, Subrange dataclip, boolean isY, Kernel1dShape kernelShape, Combiner combiner, BinSizer sizer, Cumulation cumul, int extent, double position)
Constructor.

Parameters:
  `baseColor` - base colour
  `shader` - colour ramp shader
  `scaling` - colour ramp scaling function
  `dataclip` - input value subrange
  `isY` - if true, plotted sideways
  `kernelShape` - smoothing kernel shape
  `combiner` - pixel bin aggregation mode
  `sizer` - smoothing width specification
  `cumul` - are bins painted cumulatively
  `extent` - height in pixels of density bar
  `position` - fractional location of density bar (0..1)

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`